<?php
include("text-include.php");
require_once '../app/twilio-php-master/Twilio/autoload.php';
use Twilio\Rest\Client;
if (isset($_GET['userid']) && !empty($_GET['userid'])) {
$userid = $_GET['userid'];
$sq = ("SELECT * FROM $ttable WHERE userid=?");
$st = $db->prepare($sq);
$st->execute(array($userid));
$row_count = $st->rowCount();
while  ($row = $st->fetchAll(PDO::FETCH_ASSOC)){
foreach ($row as $el){
$name=$el['name'];
$email=$el['email'];
$cell=$el['cell'];
$cell_2 = preg_replace('/[^0-9]/','',$cell);
$service=$el['service'];
$value=$el['value'];
$message=$el['message'];
$stylist=$el['stylist'];
$date=$el['date'];
$time=$el['time'];
$confirm=$el['confirm'];
$created=$el['created'];
$created = date("m/d/Y", strtotime($created));
$updated=$el['updated'];
}
}
if ($message == ''){$message = '';}
else{$message = '<p class="appt"><b>Message:</b> '.$message.'</p>';	}

if ($confirm == '1'){$status = '<p class="appt success"><i class="fa fa-check-square"></i> Confirmed</p>';$new = 'Confirmed';}
if ($confirm == '2'){$status = '<p class="appt danger"><b><i class="fa fa-times"></i> Canceled</b></p>';$new = 'Canceled';}
if ($confirm <1){$new = 'New';}
}		


if (isset($_POST['confirm']) && !empty($_POST['confirm'])) {
$confirm = $_POST['confirm'];
$userid = $_POST['userid'];
$sql = ("UPDATE $ttable SET confirm=? WHERE userid=?");
$q = $db->prepare($sql);
$q->bindParam(1, $confirm, PDO::PARAM_INT);
$q->bindParam(2, $userid, PDO::PARAM_STR);
$q->execute(); 


$sid = 'AC6c64c9853545743eb1b0abb34404fce0';
$token = '984d80eaaa04d626f8cf5f836f7b4e1f';
if($confirm == 1){
$new = 'Confirmed';	
$status = '<p class="appt success"><i class="fa fa-check-square"></i> Confirmed</p>';	
$text = 'Hi '.$name.', your appointment with '.$stylist.' is confirmed on '.$date.' at '.$time.'';	
$client = new Client($sid, $token);
$client->messages->create(
    "+1$cell_2",
    array(
        'from' => '+19722993373',
        'body' => "$text"
    )
);	
}
if($confirm == 2){
$new = 'Canceled';	
$status = '<p class="appt danger"><b><i class="fa fa-times"></i> Canceled</b></p>';	
$text = 'Hi '.$name.', sorry '.$stylist.' is not available on '.$date.' at '.$time.'. Please call 972-522-9009 and I can help reschedule, thanks.';	
$client = new Client($sid, $token);
$client->messages->create(
    "+1$cell_2",
    array(
        'from' => '+19722993373',
        'body' => "$text"
    )
);	
}
}	

?>	


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Online appointment confirmation</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="Online appointment booking" name="description" />
        <meta content="developed by canngay.com" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />

        <base href="https://centixel.com">
        <link rel="shortcut icon" href="assets/images/favicon.ico">
        <link href="../app/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="../app/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="../app/css/app.min.css" rel="stylesheet" type="text/css" />

    </head>

    <body class="authentication-bg bg-gradient">

            <div class="pt-5 mt-5 mb-5">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-md-8 col-lg-8 col-xl-8">
                            <div class="card bg-pattern">
    
                                <div class="card-body p-4">
                                    
                                    <div class="text-center w-75 m-auto">
                                        <h2><?php echo $tname; ?></h2>
                                    </div>
                                            <div class="mt-3 pt-1">


<?php if ($row_count > 0) { ?>						
						<h4 class="title"><?php echo $new; ?> appointment request on <?php echo $created; ?></h4>
<p class="appt"><b>Name:</b> <?php echo $name; ?><br>
<b>Phone:</b> <?php echo $cell; ?><br>
<b>Email:</b> <?php echo $email; ?><br>
<b>Service:</b> <?php echo $service; ?><br>
<b>Date:</b> <?php echo $date; ?><br>
<b>Time:</b> <?php echo $time; ?></p>
<?php echo $message; ?>

<?php if ($confirm <1) { ?>
<ul>
	<li>
<form action="" method="post" id="one">
<input name="userid" value="<?php echo $userid; ?>" type="hidden">
<input name="confirm" value="1" type="hidden">
<button type="submit" class="lemon-btn confirm">CONFIRM</button>
</form>
	</li>
	<li>
<form action="" method="post" id="two">
<input name="userid" value="<?php echo $userid; ?>" type="hidden">
<input name="confirm" value="2" type="hidden">
<button class="lemon-btn cancel" type="submit">CANCEL</button>	
</form>
	</li>
</ul>
<div class="button-list text-center">
<button type="button" class="btn btn-success waves-light waves-effect width-md">CONFIRM</button>
<button type="button" class="btn btn-danger waves-light waves-effect width-md">CANCEL</button>
</div>
<?php 
}
if ($confirm >0){
echo $status;	
}
 
}
if ($userid == '') {
echo 'This link is not valid.';	
}	
?>
                                            </div>
    
                                       
                                    </div>
    
                                </div> <!-- end card-body -->
                            </div>
                            <!-- end card -->
    
                        </div> <!-- end col -->
                    </div>
                    <!-- end row -->
                </div>
                <!-- end container -->
            </div>
            <!-- end page -->
    

        <!-- Vendor js -->
        <script src="../app/js/vendor.min.js"></script>

        <!-- App js -->
        <script src="../app/js/app.min.js"></script>
        
    </body>
</html>